Subject: Re: xmonad fails to recompile on guix system

From: Lars-Dominik Braun <[email-masked]>
Date: Mon, 26 Jul 2021 08:47:53 +0200

Hi,

I’m seeing the same issue, but it works when explicitly installing
[email-masked].  Looking at haskell-build-system all Haskell libraries are
currently built with version 8.6, whereas the newest GHC version
available (and thus installed by `guix install`) is 8.8.

I feel that either xmonad should depend on the correct GHC or all
GHC versions not used to build libraries should be hidden to avoid this
situation.

Lars